=== grid/Makefile ===
all:
	(cd Pegasus; ./Configure.sh; make; make install)
	(cd Globus/ExecTG; ./Configure.sh; make; make install)
	(cd Globus/NotifyTG; ./Configure.sh; make; make install)

clean:
	(cd Pegasus; make clean)
	(cd Globus/ExecTG; make clean)
	(cd Globus/NotifyTG; make clean)
