=== MontageLib/GetHdr/Makefile ===
.SUFFIXES:
.SUFFIXES: .c .o

CC     =	gcc
CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
LIBS   =	-L../../lib -lwww -lwcs -lcfitsio -lm

.c.o:
		$(CC) $(CFLAGS)  -c  $*.c

mGetHdr:		mGetHdr.o montageGetHdr.o
		$(CC) -o mGetHdr mGetHdr.o montageGetHdr.o ../util/checkFile.o ../util/checkHdr.o ../util/checkWCS.o $(LIBS)

install:
		cp mGetHdr ../../bin

clean:
		rm -f mGetHdr *.o
