=== debian/changelog ===
montage (6.0+dfsg-7) unstable; urgency=medium

  * Add -fcommon to CFLAGS (Closes: #957558)

 -- Ole Streicher <olebole@debian.org>  Fri, 31 Jul 2020 15:04:36 +0200

montage (6.0+dfsg-6) unstable; urgency=medium

  * Add GNU freefont license

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Jan 2019 11:24:25 +0100

montage (6.0+dfsg-5) unstable; urgency=low

  * Fix FTBFS on GNU HURD
  * Push Standards-Version to 4.3.0. No changes needed
  * Push Standards-Version to 12.
  * Update/complete d/copyright
  * Include correct wcs.h from wcstools
  * Fix CFLAGS in lib/src/*/Makefile
  * Add Python 3 package

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Jan 2019 21:55:07 +0100

montage (6.0+dfsg-4) unstable; urgency=medium

  * Drop outdated closefitsfile patch
  * Fix more CC/CFLAGS propagation issues, provided by Helmut Grone
    (Closes: #915263)
  * Initialize mxcntr in montageBgExec. Should fix CI failures of
    montage-wrapper.

 -- Ole Streicher <olebole@debian.org>  Wed, 12 Dec 2018 22:22:52 +0100

montage (6.0+dfsg-3) unstable; urgency=medium

  * Try to trap all errors in Makefiles (Closes: #915163)

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Dec 2018 09:47:52 +0100

montage (6.0+dfsg-2) unstable; urgency=medium

  * Trap errors in main Makefile (Closes: #915163)

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Dec 2018 14:38:55 +0100

montage (6.0+dfsg-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 6.0+dfsg. Rediff patches
  * New build dependency libbz2-dev
  * Push Standards-Version to 4.2.1. No changes needed.
  * Push compat to 11
  * Remove tools that are not built anymore
  * Use https for copyright format URL

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Nov 2018 20:32:34 +0100
