=== util/Makefile ===
all:
	-(cd Calibrate; make; make install)
	-(cd CatMap; ./Configure.sh; make; make install)
	-(cd CatSearch; make; make install)
	-(cd Exec; ./Configure.sh; make; make install)
	-(cd MovingTarget; ./Configure.sh; make; make install)
	-(cd Pad; ./Configure.sh; make; make install)
	-(cd Pix2Coord; ./Configure.sh; make; make install)
	-(cd Rotate; ./Configure.sh; make; make install)
	-(cd Search; ./Configure.sh; make; make install)
	-(cd ShrinkHdr; ./Configure.sh; make; make install)
	-(cd TblExec; make; make install)


clean:
	-(cd Calibrate; make clean)
	-(cd CatMap; make clean)
	-(cd CatSearch; make clean)
	-(cd Exec; make clean)
	-(cd MovingTarget; make clean)
	-(cd Pad; make clean)
	-(cd Pix2Coord; make clean)
	-(cd Rotate; make clean)
	-(cd Search; make clean)
	-(cd ShrinkHdr; make clean)
	-(cd TblExec; make clean)
