=== MontageLib/Makefile ===
--- 
+++ 
@@ -9,49 +9,49 @@
 all: pgm lib pythonlibs
 
 pgm: 
-		(cd util;                          make)
-		-(cd Add;           ./Configure.sh; make; make install)
-		-(cd AddCube;       ./Configure.sh; make; make install)
-		-(cd ArchiveList;   ./Configure.sh; make; make install)
-		-(cd ArchiveGet;                    make; make install)
-		-(cd ArchiveExec;                   make; make install)
-		-(cd Background;    ./Configure.sh; make; make install)
-		-(cd BestImage;                     make; make install)
-		-(cd BgModel;                       make; make install)
-		-(cd CoverageCheck; ./Configure.sh; make; make install)
-		-(cd Diff;          ./Configure.sh; make; make install)
-		-(cd Examine;       ./Configure.sh; make; make install)
-		-(cd Fitplane;                      make; make install)
-		-(cd FixNaN;        ./Configure.sh; make; make install)
-		-(cd GetHdr;                        make; make install)
-		-(cd Hdr;           ./Configure.sh; make; make install)
-		-(cd Histogram;                     make; make install)
-		-(cd Imgtbl;        ./Configure.sh; make; make install)
-		-(cd MakeHdr;       ./Configure.sh; make; make install)
-		-(cd MakeImg;       ./Configure.sh; make; make install)
-		-(cd Overlaps;      ./Configure.sh; make; make install)
-		-(cd Project;       ./Configure.sh; make; make install)
-		-(cd ProjectCube;   ./Configure.sh; make; make install)
-		-(cd ProjectPP;     ./Configure.sh; make; make install)
-		-(cd ProjectQL;     ./Configure.sh; make; make install)
-		-(cd PutHdr;                        make; make install)
-		-(cd ShrinkCube;                    make; make install)
-		-(cd Shrink;                        make; make install)
-		-(cd SubCube;       ./Configure.sh; make; make install)
-		-(cd Subimage;      ./Configure.sh; make; make install)
-		-(cd TANHdr;                        make; make install)
-		-(cd Transpose;     ./Configure.sh; make; make install)
-		-(cd WWT;           ./Configure.sh; make; make install)
-		-(cd Viewer;        ./Configure.sh; make; make install)
-		-(cd DiffExec;                      make; make install)
-		-(cd BgExec;                        make; make install)
-		-(cd DiffFitExec;                   make; make install)
-		-(cd FitExec;                       make; make install)
-		-(cd ProjExec;      ./Configure.sh; make; make install)
+		(cd util          &&                   $(MAKE))
+		(cd Add           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd AddCube       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ArchiveList   && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ArchiveGet    &&                   $(MAKE) && $(MAKE) install)
+		(cd ArchiveExec   &&                   $(MAKE) && $(MAKE) install)
+		(cd Background    && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd BestImage     &&                   $(MAKE) && $(MAKE) install)
+		(cd BgModel       &&                   $(MAKE) && $(MAKE) install)
+		(cd CoverageCheck && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Diff          && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Examine       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Fitplane      &&                   $(MAKE) && $(MAKE) install)
+		(cd FixNaN        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd GetHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd Hdr           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Histogram     &&                   $(MAKE) && $(MAKE) install)
+		(cd Imgtbl        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd MakeHdr       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd MakeImg       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Overlaps      && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Project       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectCube   && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectPP     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd ProjectQL     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd PutHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd ShrinkCube    &&                   $(MAKE) && $(MAKE) install)
+		(cd Shrink        &&                   $(MAKE) && $(MAKE) install)
+		(cd SubCube       && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Subimage      && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd TANHdr        &&                   $(MAKE) && $(MAKE) install)
+		(cd Transpose     && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd WWT           && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd Viewer        && ./Configure.sh && $(MAKE) && $(MAKE) install)
+		(cd DiffExec      &&                   $(MAKE) && $(MAKE) install)
+		(cd BgExec        &&                   $(MAKE) && $(MAKE) install)
+		(cd DiffFitExec   &&                   $(MAKE) && $(MAKE) install)
+		(cd FitExec       &&                   $(MAKE) && $(MAKE) install)
+		(cd ProjExec      &&                   $(MAKE) && $(MAKE) install)
 
 lib:
-		-rm -f libmontage.a libmontage.so libmontagepy.so
-		-ar q  libmontage.a \
+		rm -f libmontage.a libmontage.so libmontagepy.so
+		ar q  libmontage.a \
 			util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
@@ -93,7 +93,7 @@
 			FitExec/montageFitExec.o \
 			DiffFitExec/montageDiffFitExec.o \
 			ProjExec/montageProjExec.o 
-		-gcc -shared $(SO_FLAG) -o libmontage.so \
+		gcc -shared $(SO_FLAG) -o libmontage.so \
 			util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
@@ -137,8 +137,9 @@
 			ProjExec/montageProjExec.o 
 
 pythonlibs:
-		-rm -f ../python/MontagePy/lib/*.o
-		-cp util/checkFile.o util/checkHdr.o util/checkWCS.o \
+		rm -f ../python/MontagePy/lib/*.o
+		mkdir -p ../python/MontagePy/lib
+		cp util/checkFile.o util/checkHdr.o util/checkWCS.o \
 			util/debugCheck.o util/filePath.o \
 			Add/montageAdd.o \
 			AddCube/montageAddCube.o \
@@ -311,13 +312,3 @@
 			../lib/src/two_plane_v1.1/two_plane.o \
 			../lib/src/two_plane_v1.1/undistort.o \
 			../lib/src/wcssubs3.9.0_montage/cel.o \
-			../lib/src/wcssubs3.9.0_montage/dateutil.o \
-			../lib/src/wcssubs3.9.0_montage/dsspos.o \
-			../lib/src/wcssubs3.9.0_montage/fileutil.o \
-			../lib/src/wcssubs3.9.0_montage/fitsfile.o \
-			../lib/src/wcssubs3.9.0_montage/hget.o \
-			../lib/src/wcssubs3.9.0_montage/hput.o \
-			../lib/src/wcssubs3.9.0_montage/iget.o \
-			../lib/src/wcssubs3.9.0_montage/imhfile.o \
-			../lib/src/wcssubs3.9.0_montage/imio.o \
-			../lib/src/wcssubs3.9.0_montage/lin.o \
