=== MontageLib/Background/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 CC     =	gcc
 CFLAGS =	-g -I. -I.. -I../../lib/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -std=c99 -fPIC -Wall
-LIBS   =	-L../../lib -lmtbl -lwcs -lcfitsio -lnsl -lm
+LIBS   =	-L../../lib -lmtbl -lwcs -lcfitsio -lm
 
 .c.o:
 		$(CC) $(CFLAGS)  -c  $*.c
