=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://github.com/Caltech-IPAC/Montage/tags .*/v?(\d.*)@ARCHIVE_EXT@
